%define src_ver .12.2
Name: pspell
Version: 0%src_ver
Release: alt4

Summary: Portable Spell Checker Interface Library
License: GPL
Group: System/Libraries
Url: http://%name.sourceforge.net/

Source: http://download.sourceforge.net/%name-%src_ver.tar.bz2
Patch: %name-.12.2-newmaps.patch

# Automatically added by buildreq on Wed Sep 18 2002
BuildRequires: gcc-c++ glibc-devel-static libltdl-devel libstdc++-devel

%description
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package -n lib%name
Summary: %summary
Group: %group
Provides: lib%{name}3 = %version
Obsoletes: lib%{name}3

%package -n lib%name-devel
Summary: Development files needed to build applications with %name
Group: Development/C
Requires: lib%name = %version
Provides: lib%{name}3-devel = %version
Obsoletes: lib%{name}3-devel

%package -n lib%name-devel-static
Summary: Static libraries needed to build static applications with %name
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%description -n lib%name-devel
Development files needed to build applications with %name.

%description -n lib%name-devel-static
Static libraries needed to build statically linked applications with %name.

%prep
%setup -q -n %name-%src_ver
%patch -p1

%build
%undefine __libtoolize
%configure --enable-static --enable-ltdl
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

# Remove some buildroot favored pspell.
perl -pi -e 's/$RPM_BUILD_ROOT//g' $RPM_BUILD_ROOT%_libdir/*.la
perl -pi -e 's/-L$RPM_BUILD_ROOT.*?\.libs//g' $RPM_BUILD_ROOT%_libdir/*.la


cp -a $RPM_BUILD_ROOT%prefix/doc/%name docdir

%post -n lib%name -p /sbin/ldconfig 
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_bindir/*
%_libdir/*.so.*
%_libdir/*.la
%_datadir/%name
%doc README docdir/*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a


%changelog
* Wed Sep 18 2002 AEN <aen@altlinux.ru> 0.12.2-alt4
- *.la & %_bindir/* moved to main package (RH)

* Fri Jul 12 2002 AEN <aen@logic.ru> 0.12.2-alt3
- koi8-u & cp1251 maps added

* Fri Aug 17 2001 AEN <aen@logic.ru> 0.12.2-alt2
- rebuild with new libtool
* Wed Jun 13 2001 AEN <aen@logic.ru> 0.12.2-alt1
- new version 

* Sat May 19 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.2-ipl8mdk
- Built with libltdl.3.0.
- Libification.

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-6mdk
- Rename source package to keep version history in CVS, only lib packages should be renamed

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-5mdk
- Remove dependency on aspell !!

* Mon Nov  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-4mdk
- Rebuild with new libstdc++
- Rename for new libraries package

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.2-3mdk
- Rebuild for gcc2.96.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.2-2mdk
- rebuild in order to link against current libaspell

* Fri Aug 25 2000 Troels Liebe Bentsen 0.11.2-1mdk
- Updated to new version, and added manual without makefiles.

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1 (merged from helix 0_helix_8)
- BM + macroszification
- clean specfile

* Wed Apr 05 2000 Daouda Lo <daouda@mandrakesoft.com> .10-1mdk
- first Mandrake build.
- located in Office (any suggestion???).
- cleanup spec.
